# coding: utf-8


from aio_client.base.models import RequestLog
from aio_client.base.models import RequestTypeEnum


def _prepare_log(request_type):
    """Заполняет поля зароса дефолтными значениями
    :param request_type тип запроса RequestTypeEnum"""
    request_log = RequestLog()
    request_log.request_type = request_type
    request_log.sender_url = RequestTypeEnum.get_url(request_log.request_type)
    request_log.http_header = request_log.JSON_HEADER
    return request_log
